%{?cygwin64_package_header}
%global __os_install_post %{nil}

Name:		cygwin64-libewf
Version:	20140608
Release:	1%{?dist}
Summary:	Cygwin compiled libewf for the Win64 target
License:	GPLv2+
Group:		Applications/System
URL:		https://github.com/libyal/libewf
Source0:	https://github.com/libyal/legacy/blob/master/libewf/libewf-%version.tar.gz
Patch0:		libuna_gcc5.patch
BuildArch:	noarch

BuildRequires:	cygwin64-binutils
BuildRequires:	cygwin64-bzip2
BuildRequires:	cygwin64-filesystem >= 9
BuildRequires:	cygwin64-gcc
BuildRequires:	cygwin64-gcc-c++
#BuildRequires:	cygwin64-openssl
BuildRequires:	cygwin64-libiconv
BuildRequires:	cygwin64-zlib
#BuildRequires:	cygwin64-libtool
BuildRequires:	cygwin64-pkg-config

%description
Cygwin compiled libewf for the Win64 target.

# % ? cygwin64_debug_package

%prep
%setup -q -n libewf-%{version}
%patch0 -p1

%build
CYGWIN64_CFLAGS="%{cygwin64_cflags} -std=gnu89" %cygwin64_configure --disable-multi-threading-support
%cygwin64_make %{?_smp_mflags} lib

%install
rm -rf $RPM_BUILD_ROOT
%cygwin64_make install DESTDIR=$RPM_BUILD_ROOT
ln -s %{cygwin64_bindir}/cygewf-2.dll $RPM_BUILD_ROOT%{cygwin64_libdir}/cygewf-2.dll

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{cygwin64_mandir}

%files -n cygwin64-libewf
%{cygwin64_bindir}/cygewf-2.dll
%{cygwin64_libdir}/cygewf-2.dll
%{cygwin64_includedir}/libewf.h
%{cygwin64_includedir}/libewf/codepage.h
%{cygwin64_includedir}/libewf/definitions.h
%{cygwin64_includedir}/libewf/error.h
%{cygwin64_includedir}/libewf/extern.h
%{cygwin64_includedir}/libewf/features.h
%{cygwin64_includedir}/libewf/types.h
%{cygwin64_libdir}/libewf.a
%{cygwin64_libdir}/libewf.dll.a
%{cygwin64_libdir}/pkgconfig/libewf.pc
%{cygwin64_bindir}/ewfacquire.exe
%{cygwin64_bindir}/ewfacquirestream.exe
%{cygwin64_bindir}/ewfdebug.exe
%{cygwin64_bindir}/ewfexport.exe
%{cygwin64_bindir}/ewfinfo.exe
%{cygwin64_bindir}/ewfmount.exe
%{cygwin64_bindir}/ewfrecover.exe
%{cygwin64_bindir}/ewfverify.exe


%changelog
* Thu Apr 23 2020  Christophe GRENIER <grenier@cgsecurity.org> - 20140608-1
- Cleanup spec file

* Mon Aug 15 2016 Christophe GRENIER <grenier@cgsecurity.org> - 20140608-0
- First spec file under cygwin
